<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.lv.jtp.callshipa</name>
<version>13</version>
<engineversion>25</engineversion>
<description>JTP - handles bigship behaviour</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><text>set&#160;script&#160;priority&#160;to&#160;</text><var>0</var></line>
<line linenr="002" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;connect&#160;ship&#160;command/signal&#160;</text><var>SIGNAL_ATTACKED</var><text>&#160;to&#160;script&#160;</text><call>plugin.lv.jtp.global</call><text>&#160;with&#160;prio&#160;</text><var>100</var></line>
<line linenr="003" indent=""><var>$anull&#160;=&#160;</var><var>null</var></line>
<line linenr="004" indent=""><var>$protector&#160;=&#160;</var><var>[THIS]</var></line>
<line linenr="005" indent=""><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>Jumpdrive</var></line>
<line linenr="006" indent=""><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>Transporter&#160;Device</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><var>$protector&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_PATROL</var></line>
<line linenr="009" indent=""><var>$orace&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="010" indent=""><var>$ssec&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>if&#160;</var><var>$orace</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Argon</var></line>
<line linenr="013" indent="&#160;"><var>$global&#160;=&#160;</var><var>'lv.j2p.arg'</var></line>
<line linenr="014" indent=""><var>else&#160;if&#160;</var><var>$orace</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Boron</var></line>
<line linenr="015" indent="&#160;"><var>$global&#160;=&#160;</var><var>'lv.j2p.bor'</var></line>
<line linenr="016" indent=""><var>else&#160;if&#160;</var><var>$orace</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Split</var></line>
<line linenr="017" indent="&#160;"><var>$global&#160;=&#160;</var><var>'lv.j2p.spl'</var></line>
<line linenr="018" indent=""><var>else&#160;if&#160;</var><var>$orace</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Paranid</var></line>
<line linenr="019" indent="&#160;"><var>$global&#160;=&#160;</var><var>'lv.j2p.nid'</var></line>
<line linenr="020" indent=""><var>else&#160;if&#160;</var><var>$orace</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Teladi</var></line>
<line linenr="021" indent="&#160;"><var>$global&#160;=&#160;</var><var>'lv.j2p.tel'</var></line>
<line linenr="022" indent=""><var>else&#160;if&#160;</var><var>$orace</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Pirates</var></line>
<line linenr="023" indent="&#160;"><var>$global&#160;=&#160;</var><var>'lv.j2p.pir'</var></line>
<line linenr="024" indent=""><text>end</text></line>
<line linenr="025" indent=""><var>$protector&#160;-&gt;</var><text>&#160;set&#160;race&#160;logic&#160;control&#160;enabled&#160;to&#160;</text><var>[FALSE]</var></line>
<line linenr="026" indent=""><var>$protector&#160;-&gt;</var><text>&#160;set&#160;fire&#160;missile&#160;probability&#160;to&#160;</text><var>100</var></line>
<line linenr="027" indent=""><var>$enchk&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="028" indent=""></line>
<line linenr="029" indent=""><var>if&#160;</var><var>$enchk</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>300</var></line>
<line linenr="030" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.getenergy</call><text>&#160;:&#160;</text><text>&#160;s=</text><var>$protector</var></line>
<line linenr="031" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.jump</call><text>&#160;:&#160;</text><text>&#160;jumpsec=</text><var>$ssec</var></line>
<line linenr="032" indent=""><text>end</text></line>
<line linenr="033" indent=""></line>
<line linenr="034" indent=""><var>if&#160;not&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="035" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="036" indent=""><text>end</text></line>
<line linenr="037" indent=""></line>
<line linenr="038" indent=""><var>loop1</var><text>:</text></line>
<line linenr="039" indent=""><comment>*$ssec&#160;=&#160;$protector&#160;-&gt;<text>&#160;get&#160;sector</text></comment></line>
<line linenr="040" indent=""></line>
<line linenr="041" indent=""><var>if&#160;not&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="042" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="043" indent=""><text>end</text></line>
<line linenr="044" indent=""></line>
<line linenr="045" indent=""><var>$command&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;get&#160;command</text></line>
<line linenr="046" indent=""></line>
<line linenr="047" indent=""><var>$findbh&#160;=&#160;</var><var>[Find.Enemy]</var><text>&#160;</text><var>|</var><text>&#160;</text><var>[Find.Nearest]</var></line>
<line linenr="048" indent=""></line>
<line linenr="049" indent=""><var>$target&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>$global</var></line>
<line linenr="050" indent=""></line>
<line linenr="051" indent=""></line>
<line linenr="052" indent=""><var>while&#160;</var><var>$target</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$anull</var></line>
<line linenr="053" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kae</call><text>&#160;:&#160;</text><text>&#160;ship=</text><var>$protector</var><text>&#160;</text><text>&#160;global=</text><var>$target</var></line>
<line linenr="054" indent="&#160;"><var>if&#160;not&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="055" indent="&#160;&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="056" indent="&#160;"><text>end</text></line>
<line linenr="057" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>1000</var><text>&#160;ms</text></line>
<line linenr="058" indent="&#160;"><var>$target&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>$global</var></line>
<line linenr="059" indent=""><text>end</text></line>
<line linenr="060" indent=""></line>
<line linenr="061" indent=""></line>
<line linenr="062" indent=""></line>
<line linenr="063" indent=""><var>$tsec&#160;=&#160;</var><var>$target&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="064" indent=""></line>
<line linenr="065" indent=""><var>$jumps&#160;=&#160;</var><text>get&#160;jumps&#160;from&#160;sector&#160;</text><var>$ssec</var><text>&#160;to&#160;sector&#160;</text><var>$tsec</var></line>
<line linenr="066" indent=""></line>
<line linenr="067" indent=""><var>if&#160;</var><var>$jumps</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>12</var></line>
<line linenr="068" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kae</call><text>&#160;:&#160;</text><text>&#160;ship=</text><var>$protector</var><text>&#160;</text><text>&#160;global=</text><var>$target</var></line>
<line linenr="069" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="070" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop1</var></line>
<line linenr="071" indent=""><text>end</text></line>
<line linenr="072" indent=""></line>
<line linenr="073" indent=""></line>
<line linenr="074" indent=""><var>$idcode&#160;=&#160;</var><var>$target&#160;-&gt;</var><text>&#160;get&#160;ID&#160;code</text></line>
<line linenr="075" indent=""><var>$myidcode&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;get&#160;ID&#160;code</text></line>
<line linenr="076" indent=""></line>
<line linenr="077" indent=""><var>if&#160;</var><var>$idcode</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$myidcode</var></line>
<line linenr="078" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kae</call><text>&#160;:&#160;</text><text>&#160;ship=</text><var>$protector</var><text>&#160;</text><text>&#160;global=</text><var>$target</var></line>
<line linenr="079" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="080" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop1</var></line>
<line linenr="081" indent=""><text>end</text></line>
<line linenr="082" indent=""></line>
<line linenr="083" indent=""></line>
<line linenr="084" interruptable="@" indent=""><var>=&#160;</var><text>wait&#160;</text><var>12000</var><text>&#160;ms</text></line>
<line linenr="085" indent=""></line>
<line linenr="086" indent=""><var>$array&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$tsec</var><text>&#160;class&#160;or&#160;type=</text><var>Big&#160;Ship</var><text>&#160;race=</text><var>$orace</var><text>&#160;flags=</text><var>[Find.Multiple]</var><text>&#160;refobj=</text><var>$anull</var><text>&#160;maxdist=</text><var>$anull</var><text>&#160;maxnum=</text><var>100</var><text>&#160;refpos=</text><var>$anull</var></line>
<line linenr="087" indent=""><var>$asize&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$array</var></line>
<line linenr="088" indent=""></line>
<line linenr="089" indent=""></line>
<line linenr="090" indent=""><var>if&#160;</var><var>$asize</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>3</var></line>
<line linenr="091" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kae</call><text>&#160;:&#160;</text><text>&#160;ship=</text><var>$protector</var><text>&#160;</text><text>&#160;global=</text><var>$target</var></line>
<line linenr="092" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>1000</var><text>&#160;ms</text></line>
<line linenr="093" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop1</var></line>
<line linenr="094" indent=""><text>end</text></line>
<line linenr="095" indent=""></line>
<line linenr="096" indent=""><var>$globalattacker&#160;=&#160;</var><var>$target&#160;-&gt;</var><text>&#160;get&#160;attacker</text></line>
<line linenr="097" indent=""><var>if&#160;</var><var>$globalattacker&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="098" indent="&#160;"><var>$attackerownerace&#160;=&#160;</var><var>$globalattacker&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="099" indent="&#160;"><var>$protector&#160;-&gt;</var><text>&#160;set&#160;relation&#160;against&#160;</text><var>$attackerownerace</var><text>&#160;to&#160;</text><var>Foe</var></line>
<line linenr="100" indent="&#160;"><var>$protector&#160;-&gt;</var><text>&#160;set&#160;relation&#160;against&#160;</text><var>$globalattacker</var><text>&#160;to&#160;</text><var>Foe</var></line>
<line linenr="101" indent=""><text>end</text></line>
<line linenr="102" indent=""></line>
<line linenr="103" indent=""><var>if&#160;not&#160;</var><var>$globalattacker&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="104" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kae</call><text>&#160;:&#160;</text><text>&#160;ship=</text><var>$protector</var><text>&#160;</text><text>&#160;global=</text><var>$target</var></line>
<line linenr="105" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="106" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop1</var></line>
<line linenr="107" indent=""><text>end</text></line>
<line linenr="108" indent=""></line>
<line linenr="109" indent=""><var>$jcj&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$tsec</var><text>&#160;class&#160;or&#160;type=</text><var>Big&#160;Ship</var><text>&#160;race=</text><var>$attackerownerace</var><text>&#160;flags=</text><var>[Find.Random]</var><text>&#160;refobj=</text><var>$anull</var><text>&#160;maxdist=</text><var>$anull</var><text>&#160;maxnum=</text><var>$anull</var><text>&#160;refpos=</text><var>$anull</var></line>
<line linenr="110" indent=""></line>
<line linenr="111" indent=""></line>
<line linenr="112" indent=""></line>
<line linenr="113" indent=""><var>if&#160;not&#160;</var><var>$jcj&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="114" indent="&#160;"><var>$objc&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;get&#160;object&#160;class</text></line>
<line linenr="115" indent="&#160;"><var>if&#160;</var><var>$objc</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Destroyer&#160;M2</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$objc</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Battle&#160;Ship&#160;M1</var></line>
<line linenr="116" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kae</call><text>&#160;:&#160;</text><text>&#160;ship=</text><var>$protector</var><text>&#160;</text><text>&#160;global=</text><var>$target</var></line>
<line linenr="117" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="118" indent="&#160;&#160;"><text>goto&#160;label&#160;</text><var>loop1</var></line>
<line linenr="119" indent="&#160;"><text>end</text></line>
<line linenr="120" indent=""><text>end</text></line>
<line linenr="121" indent=""></line>
<line linenr="122" indent=""></line>
<line linenr="123" indent=""></line>
<line linenr="124" indent=""><var>$needen&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;needed&#160;jump&#160;drive&#160;energy&#160;for&#160;jump&#160;to&#160;sector&#160;</text><var>$tsec</var></line>
<line linenr="125" indent=""><var>$enchk&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="126" indent=""></line>
<line linenr="127" indent=""><var>if&#160;</var><var>$needen</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$enchk</var></line>
<line linenr="128" indent="&#160;"><var>if&#160;</var><var>$ssec</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$tsec</var></line>
<line linenr="129" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.getenergy</call><text>&#160;:&#160;</text><text>&#160;s=</text><var>$protector</var></line>
<line linenr="130" indent="&#160;"><text>end</text></line>
<line linenr="131" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>1000</var><text>&#160;ms</text></line>
<line linenr="132" indent="&#160;"><var>$array&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$tsec</var><text>&#160;class&#160;or&#160;type=</text><var>Big&#160;Ship</var><text>&#160;race=</text><var>$orace</var><text>&#160;flags=</text><var>[Find.Multiple]</var><text>&#160;refobj=</text><var>$anull</var><text>&#160;maxdist=</text><var>$anull</var><text>&#160;maxnum=</text><var>100</var><text>&#160;refpos=</text><var>$anull</var></line>
<line linenr="133" indent="&#160;"><var>$asize&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$array</var></line>
<line linenr="134" indent="&#160;"><var>if&#160;</var><var>$asize</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>3</var></line>
<line linenr="135" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.jump</call><text>&#160;:&#160;</text><text>&#160;jumpsec=</text><var>$ssec</var></line>
<line linenr="136" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.movetosector</call><text>&#160;:&#160;</text><text>&#160;sector=</text><var>$ssec</var></line>
<line linenr="137" indent="&#160;&#160;"><text>goto&#160;label&#160;</text><var>loop1</var></line>
<line linenr="138" indent="&#160;"><text>end</text></line>
<line linenr="139" indent=""><text>end</text></line>
<line linenr="140" indent=""></line>
<line linenr="141" indent=""><var>if&#160;not&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="142" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="143" indent=""><text>end</text></line>
<line linenr="144" indent=""></line>
<line linenr="145" indent=""></line>
<line linenr="146" indent=""><var>$array&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$tsec</var><text>&#160;class&#160;or&#160;type=</text><var>Big&#160;Ship</var><text>&#160;race=</text><var>$orace</var><text>&#160;flags=</text><var>[Find.Multiple]</var><text>&#160;refobj=</text><var>$anull</var><text>&#160;maxdist=</text><var>$anull</var><text>&#160;maxnum=</text><var>100</var><text>&#160;refpos=</text><var>$anull</var></line>
<line linenr="147" indent=""></line>
<line linenr="148" indent=""><var>$asize&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$array</var></line>
<line linenr="149" indent=""></line>
<line linenr="150" indent=""><var>if&#160;</var><var>$asize</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>3</var></line>
<line linenr="151" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.jump</call><text>&#160;:&#160;</text><text>&#160;jumpsec=</text><var>$ssec</var></line>
<line linenr="152" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.movetosector</call><text>&#160;:&#160;</text><text>&#160;sector=</text><var>$ssec</var></line>
<line linenr="153" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kae</call><text>&#160;:&#160;</text><text>&#160;ship=</text><var>$protector</var><text>&#160;</text><text>&#160;global=</text><var>$target</var></line>
<line linenr="154" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="155" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop1</var></line>
<line linenr="156" indent=""><text>end</text></line>
<line linenr="157" indent=""></line>
<line linenr="158" indent=""><var>if&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="159" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.jump</call><text>&#160;:&#160;</text><text>&#160;jumpsec=</text><var>$tsec</var></line>
<line linenr="160" indent=""><text>end</text></line>
<line linenr="161" indent=""></line>
<line linenr="162" indent=""><var>loop</var><text>:</text></line>
<line linenr="163" indent=""></line>
<line linenr="164" indent=""><text>set&#160;global&#160;variable:&#160;name=</text><var>$global</var><text>&#160;value=</text><var>$anull</var></line>
<line linenr="165" indent=""></line>
<line linenr="166" indent=""><var>if&#160;</var><var>$target</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$anull</var></line>
<line linenr="167" indent="&#160;"><var>$target&#160;=&#160;</var><var>$protector</var></line>
<line linenr="168" indent=""><text>end</text></line>
<line linenr="169" indent=""></line>
<line linenr="170" indent=""><var>if&#160;not&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="171" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="172" indent=""><text>end</text></line>
<line linenr="173" indent=""></line>
<line linenr="174" indent=""><var>$enemy&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$tsec</var><text>&#160;class&#160;or&#160;type=</text><var>Big&#160;Ship</var><text>&#160;race=</text><var>$anull</var><text>&#160;flags=</text><var>[Find.Enemy]</var><text>&#160;refobj=</text><var>$protector</var><text>&#160;maxdist=</text><var>$anull</var><text>&#160;maxnum=</text><var>$anull</var><text>&#160;refpos=</text><var>$anull</var></line>
<line linenr="175" indent=""></line>
<line linenr="176" indent=""><var>if&#160;not&#160;</var><var>$enemy&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="177" indent="&#160;"><var>$enemy&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$tsec</var><text>&#160;class&#160;or&#160;type=</text><var>Fighter</var><text>&#160;race=</text><var>$anull</var><text>&#160;flags=</text><var>[Find.Enemy]</var><text>&#160;refobj=</text><var>$protector</var><text>&#160;maxdist=</text><var>$anull</var><text>&#160;maxnum=</text><var>$anull</var><text>&#160;refpos=</text><var>$anull</var></line>
<line linenr="178" indent=""><text>end</text></line>
<line linenr="179" indent=""></line>
<line linenr="180" indent=""><var>if&#160;</var><var>$enemy&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="181" interruptable="@" indent="&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.fight</call><text>&#160;:&#160;</text><text>&#160;enemy=</text><var>$enemy</var><text>&#160;</text><text>&#160;ship=</text><var>$protector</var></line>
<line linenr="182" indent=""><text>end</text></line>
<line linenr="183" indent=""></line>
<line linenr="184" indent=""></line>
<line linenr="185" interruptable="@" indent=""><var>=&#160;</var><text>wait&#160;</text><var>1000</var><text>&#160;ms</text></line>
<line linenr="186" indent=""></line>
<line linenr="187" indent=""></line>
<line linenr="188" indent=""><var>if&#160;not&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="189" indent="&#160;"><text>set&#160;global&#160;variable:&#160;name=</text><var>$global</var><text>&#160;value=</text><var>$anull</var></line>
<line linenr="190" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="191" indent=""><text>end</text></line>
<line linenr="192" indent=""></line>
<line linenr="193" indent=""><var>$enemy&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$tsec</var><text>&#160;class&#160;or&#160;type=</text><var>Big&#160;Ship</var><text>&#160;race=</text><var>$anull</var><text>&#160;flags=</text><var>[Find.Enemy]</var><text>&#160;refobj=</text><var>$protector</var><text>&#160;maxdist=</text><var>$anull</var><text>&#160;maxnum=</text><var>$anull</var><text>&#160;refpos=</text><var>$anull</var></line>
<line linenr="194" indent=""></line>
<line linenr="195" indent=""><var>if&#160;</var><var>$enemy&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="196" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="197" indent=""><text>end</text></line>
<line linenr="198" indent=""></line>
<line linenr="199" indent=""><var>$enemy&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$tsec</var><text>&#160;class&#160;or&#160;type=</text><var>Fighter</var><text>&#160;race=</text><var>$anull</var><text>&#160;flags=</text><var>[Find.Enemy]</var><text>&#160;refobj=</text><var>$protector</var><text>&#160;maxdist=</text><var>$anull</var><text>&#160;maxnum=</text><var>$anull</var><text>&#160;refpos=</text><var>$anull</var></line>
<line linenr="200" indent=""></line>
<line linenr="201" indent=""><var>if&#160;</var><var>$enemy&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="202" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="203" indent=""><text>end</text></line>
<line linenr="204" indent=""></line>
<line linenr="205" indent=""></line>
<line linenr="206" indent=""><text>set&#160;global&#160;variable:&#160;name=</text><var>$global</var><text>&#160;value=</text><var>$anull</var></line>
<line linenr="207" indent=""></line>
<line linenr="208" indent=""></line>
<line linenr="209" indent=""><var>$needen&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;needed&#160;jump&#160;drive&#160;energy&#160;for&#160;jump&#160;to&#160;sector&#160;</text><var>$ssec</var></line>
<line linenr="210" indent=""><var>$enchk&#160;=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="211" indent=""></line>
<line linenr="212" indent=""><var>if&#160;</var><var>$needen</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$enchk</var></line>
<line linenr="213" indent="&#160;"><var>if&#160;</var><var>$ssec</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$tsec</var></line>
<line linenr="214" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.getenergy</call><text>&#160;:&#160;</text><text>&#160;s=</text><var>$protector</var></line>
<line linenr="215" indent="&#160;"><text>end</text></line>
<line linenr="216" indent=""><text>end</text></line>
<line linenr="217" indent=""></line>
<line linenr="218" indent=""><var>if&#160;not&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="219" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="220" indent=""><text>end</text></line>
<line linenr="221" indent=""></line>
<line linenr="222" interruptable="@" indent=""><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kae</call><text>&#160;:&#160;</text><text>&#160;ship=</text><var>$protector</var><text>&#160;</text><text>&#160;global=</text><var>$target</var></line>
<line linenr="223" indent=""></line>
<line linenr="224" indent=""><var>skip&#160;if&#160;</var><var>$attackerownerace</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Khaak</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$attackerownerace</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Xenon</var></line>
<line linenr="225" indent="&#160;"><var>$protector&#160;-&gt;</var><text>&#160;set&#160;relation&#160;against&#160;</text><var>$attackerownerace</var><text>&#160;to&#160;</text><var>Neutral</var></line>
<line linenr="226" indent=""></line>
<line linenr="227" interruptable="@" indent=""><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.jump</call><text>&#160;:&#160;</text><text>&#160;jumpsec=</text><var>$ssec</var></line>
<line linenr="228" interruptable="@" indent=""><var>=&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.movetosector</call><text>&#160;:&#160;</text><text>&#160;sector=</text><var>$ssec</var></line>
<line linenr="229" indent=""></line>
<line linenr="230" indent=""></line>
<line linenr="231" indent=""><var>if&#160;</var><var>$protector&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="232" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop1</var></line>
<line linenr="233" indent=""><text>end</text></line>
<line linenr="234" indent=""></line>
<line linenr="235" indent=""></line>
<line linenr="236" indent=""><text>return&#160;</text><var>$anull</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.lv.jtp.callshipa" /><sval type="int" val="25" /><sval type="string" val="JTP - handles bigship behaviour" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="array" size="21"><sval type="string" val="anull" /><sval type="string" val="protector" /><sval type="string" val="orace" /><sval type="string" val="ssec" /><sval type="string" val="global" /><sval type="string" val="enchk" /><sval type="string" val="command" /><sval type="string" val="findbh" /><sval type="string" val="target" /><sval type="string" val="tsec" /><sval type="string" val="jumps" /><sval type="string" val="idcode" /><sval type="string" val="myidcode" /><sval type="string" val="array" /><sval type="string" val="asize" /><sval type="string" val="globalattacker" /><sval type="string" val="attackerownerace" /><sval type="string" val="jcj" /><sval type="string" val="objc" /><sval type="string" val="needen" /><sval type="string" val="enemy" /></sval><sval type="array" size="143"><sval type="array" size="3"><sval type="int" val="109" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="113" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="1000" /><sval type="string" val="plugin.lv.jtp.global" /><sval type="int" val="4" /><sval type="int" val="100" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="1048611" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="5"><sval type="int" val="524" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="25" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609661" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="lv.j2p.arg" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608891" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="lv.j2p.bor" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608123" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="lv.j2p.spl" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607355" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="lv.j2p.nid" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606587" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="lv.j2p.tel" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606075" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="8" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="lv.j2p.pir" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="1021" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval><sval type="array" size="5"><sval type="int" val="551" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="100" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604541" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="300" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.getenergy" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.jump" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536862204" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="loop1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536861436" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="525" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="6" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="108" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="15" /><sval type="int" val="7" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="7" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600695" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kae" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536859644" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1000" /></sval><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="40" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="711" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599165" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kae" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="34" /></sval><sval type="array" size="4"><sval type="int" val="1036" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="11" /></sval><sval type="array" size="4"><sval type="int" val="1036" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="12" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610597629" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kae" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="34" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="12000" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="12" /><sval type="int" val="2073" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610595837" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kae" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1000" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="34" /></sval><sval type="array" size="4"><sval type="int" val="736" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="15" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="-1610594557" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="16" /></sval><sval type="array" size="7"><sval type="int" val="744" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="14" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="744" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="-536851708" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kae" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="34" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="12" /><sval type="int" val="2073" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="-536849916" /></sval><sval type="array" size="4"><sval type="int" val="700" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="18" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610591741" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="12" /><sval type="int" val="2022" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="12" /><sval type="int" val="2021" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kae" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="34" /></sval><sval type="array" size="6"><sval type="int" val="567" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610588669" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610590461" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.getenergy" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1000" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="12" /><sval type="int" val="2073" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610588669" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.jump" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="!move.movetosector" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="34" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536846332" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="12" /><sval type="int" val="2073" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610586109" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.jump" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="!move.movetosector" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kae" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="34" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-1610585597" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.jump" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="loop" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610584573" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536842236" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="12" /><sval type="int" val="2073" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="108" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="-536841468" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="12" /><sval type="int" val="2034" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="108" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="-1610582781" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.fight" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1000" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536839932" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="12" /><sval type="int" val="2073" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="108" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="-1610580989" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="106" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="12" /><sval type="int" val="2034" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="108" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="-1610580221" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="106" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="567" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610578685" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610578685" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.getenergy" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536836348" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kae" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-536835577" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="7"><sval type="int" val="744" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="14" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.jump" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="!move.movetosector" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-1610576381" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="34" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="99"><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="35" /><sval type="int" val="3" /><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="string" val="protector" /><sval type="string" val="ssec" /></sval><sval type="array" size="2"><sval type="int" val="35" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="48" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="60" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="66" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="66" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="71" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="71" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="75" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="75" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="76" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="76" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="76" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="82" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="82" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="82" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="82" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="82" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="84" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="87" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="94" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="94" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="94" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="96" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="96" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="96" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="97" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="98" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="104" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="104" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="106" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="106" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="107" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="108" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="110" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="110" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="113" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="115" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="115" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="117" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="117" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="117" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="118" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="118" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="121" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="121" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="122" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="124" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="124" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="125" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="127" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="127" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="127" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="128" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="128" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="130" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="133" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="133" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="133" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="135" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="135" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="136" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="138" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="140" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="140" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
